Bug 1448046 - UI lag due to more than 3650 messages in notification
Summary: UI lag due to more than 3650 messages in notification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: Martin Hradil
QA Contact: Shveta
URL:
Whiteboard: notification
: 1443699 (view as bug list)
Depends On: 1412172
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 12:45 UTC by Satoe Imaishi
Modified: 2020-08-13 09:09 UTC (History)
10 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1412172
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-11 21:10:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a3c50981c059d8128c0696e3cb389e67d4f0c225

commit a3c50981c059d8128c0696e3cb389e67d4f0c225
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Apr 21 17:22:54 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 11 17:09:26 2017 -0400

    Merge pull request #611 from himdel/spam-notify
    
    Notifications - fix UI performance with thousands of notifications
    (cherry picked from commit 40eeb17970f77b54679c5937b93f5527a53530c7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448046

 .../notifications/notification-drawer.directive.js | 71 ++++++++++++++++++++++
 .../services/event_notifications_service.js        |  2 +-
 app/views/layouts/_notifications_drawer.html.haml  |  2 +-
 .../notification-drawer.html.haml                  | 48 +++++++++++++++
 4 files changed, 121 insertions(+), 2 deletions(-)
 create mode 100644 app/assets/javascripts/controllers/notifications/notification-drawer.directive.js
 create mode 100644 app/views/static/notification_drawer/notification-drawer.html.haml

Comment 3 Shveta 2017-06-09 04:57:57 UTC
Fixed in 5.7.3.1.20170608124102_4b35a9e

Comment 4 Martin Hradil 2017-06-10 19:57:41 UTC
*** Bug 1443699 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.